Skip to main content
Topic: ElkArte 1.1.7 Patch Testing (Read 1824 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: ElkArte 1.1.7 Patch Testing

Reply #30
No the site does not work due to those errors. If you need a php8 testing area let me know.

Re: ElkArte 1.1.7 Patch Testing

Reply #31
Thanks for the offer, I do have a docker php8 container that I can try to reproduce with first.  I'm surprised that a depreciation notice would drop the site, must be another error that is aborting things that is not getting logged. 
Be safe, Be kind, Happy Programing

 

Re: ElkArte 1.1.7 Patch Testing

Reply #32
Yeah basically what happens is you get an error message that says
"session_set_save_handler(): Session save handler cannot be changed after headers have already been sent"

Which stops you from logging in or doing any action.

Re: ElkArte 1.1.7 Patch Testing

Reply #33
I just tried to install the patch but
"Error in package installation..." :
./sources/subs/Editor.subs.php   Test failed
/sources/subs/MessageTopicIcons.class.php   Test failed
I didn't finish the install : i waiting for your answer before finish it.

Re: ElkArte 1.1.7 Patch Testing

Reply #34
The latest patch was installed fine on mine. No idea why yours has such errorsin that subs files.

Re: ElkArte 1.1.7 Patch Testing

Reply #35
Hi,
even with the errors i made the uptate to the 1.1.7 patch and everything seems to be ok. No more errors in the logs at this time.
philippe

Re: ElkArte 1.1.7 Patch Testing

Reply #36
I comme back to 1.1.6 : with 1.1.7 i can't Edit... HTTP ERROR 500.
Maybe it's because of the errors at the install :
./sources/subs/Editor.subs.php   Test failed
/sources/subs/MessageTopicIcons.class.php   Test failed

Re: ElkArte 1.1.7 Patch Testing

Reply #37
Tested on a clean install, for now nothing to report.
sorry for my bad english

Re: ElkArte 1.1.7 Patch Testing

Reply #38
I comme back to 1.1.6 : with 1.1.7 i can't Edit... HTTP ERROR 500.
Maybe it's because of the errors at the install :
./sources/subs/Editor.subs.php   Test failed
/sources/subs/MessageTopicIcons.class.php   Test failed

What are the errors? Is that a clean forum or one which has mods applied?

Re: ElkArte 1.1.7 Patch Testing

Reply #39
Hi,
The errors :
"Error in package installation..." :
./sources/subs/Editor.subs.php   Test failed
/sources/subs/MessageTopicIcons.class.php   Test failed
Packages :
ElkArte 1.1.4 patch
ElkArte 1.1.5 patch
ElkArte 1.1.6 patch
FlarumStyle
MPAAP: Modify Posts At Anytime Permission
Thank you,
Philippe

Re: ElkArte 1.1.7 Patch Testing

Reply #40
Hi,
The errors :
"Error in package installation..." :
./sources/subs/Editor.subs.php   Test failed
/sources/subs/MessageTopicIcons.class.php   Test failed
Packages :
ElkArte 1.1.4 patch
ElkArte 1.1.5 patch
ElkArte 1.1.6 patch
FlarumStyle
MPAAP: Modify Posts At Anytime Permission
Thank you,
Philippe

Sorry I should of been clearer when you have the test failed, if you open the test up you will see the test that failed.

If you remove flarumstyle  and mpaap does it pass? I would guess one of those two mods edited the code there.


Re: ElkArte 1.1.7 Patch Testing

Reply #42
I uninstall both MPAAP and flarum but nothing change.
if you open the test up you will see the test that failed.
I'm not sure to understand ! Sorry for my English.
When i Edit the error, there is a button for that on left, for the first error the changes are on
Code: [Select]
Code: (Replace) [Select]

 * copyright: 2011 Simple Machines (http://www.simplemachines.org)
 * license:  BSD, See included LICENSE.TXT for terms and conditions.
 *
 * @version 1.1.7
 *
 */

/**
 * Creates a box that can be used for richedit stuff like BBC, Smileys etc.
 *

For the second error the code is :
Code: [Select]
Code: (Remplacer) [Sélectionner]

$this->_loadStableIcons();

// Merge in additional ones
$this->_loadCustomIcons();
$this->_merge_all_icons();
$this->_loadIcons();
}

/**
* Use a passed custom array or fetch the ones available for the board in use
*/
private function _loadCustomIcons()
{
global $board;

// Are custom even an option?
if ($this->_allowCustomIcons() && empty($this->_custom_icons))
{
// Fetch any additional ones
require_once(SUBSDIR . '/MessageIcons.subs.php');
$this->_custom_icons = getMessageIcons(empty($board) ? 0 : $board);
}
}

/**
* This function merges in any custom icons with our standard ones.
*
* @return array
*/
private function _merge_all_icons()
{
// Are custom even an option?
if ($this->_allowCustomIcons())
{
// Merge in additional ones
$custom_icons = array_map(function ($element) {
return $element['name'];
}, $this->_custom_icons);

$this->_stable_icons = array_merge($this->_stable_icons, $custom_icons);
}
}

/**
* Simply checks the ACP status of custom icons
*
* @return bool
*/
private function _allowCustomIcons()
{
global $modSettings;

return !empty($modSettings['messageIcons_enable']);
}

/**
* Return the icon specified by idx
*
* @param int|string $idx
* @return string

Is it what you mean tino ?

Re: ElkArte 1.1.7 Patch Testing

Reply #43
Your English is fine. I’ll have a look later and get back to you on the error.

Could you attach a copy of your Editor.subs.php and also the MessageTopicIcons.class.php please?